declare type ViewportSize = 'aboveSmall' | 'aboveMedium' | 'aboveLarge';
declare const classNamesMap: {
    padding: string[];
    paddingInline: string[];
    paddingInlineStart: string;
    paddingInlineEnd: string;
    paddingBlock: string[];
    paddingBlockStart: string;
    paddingBlockEnd: string;
    background: string;
    border: string[];
    borderInline: string[];
    borderInlineStart: string;
    borderInlineEnd: string;
    borderBlock: string[];
    borderBlockStart: string;
    borderBlockEnd: string;
    borderWidth: string[];
    borderWidthInline: string[];
    borderWidthInlineStart: string;
    borderWidthInlineEnd: string;
    borderWidthBlock: string[];
    borderWidthBlockStart: string;
    borderWidthBlockEnd: string;
    borderColor: string[];
    borderRadius: string[];
    borderRadiusInline: string[];
    borderRadiusInlineStart: string;
    borderRadiusInlineEnd: string;
    borderRadiusBlock: string[];
    borderRadiusBlockStart: string;
    borderRadiusBlockEnd: string;
    spacing: string;
};
declare type Props = {
    [prop in keyof typeof classNamesMap]?: any;
};
interface Media {
    viewportSize: ViewportSize;
}
declare type MediaProps = Media & Props;
export declare function generateResponsiveClassnames(props: Props, viewportSize?: ViewportSize): string[];
export declare function convertLogicalProps(props: Props): any;
export declare function useResponsive(props: Props, media?: MediaProps[]): string[];
export {};
